\version "2.21.0"

\include "include-once.ily"
\includeOnce "common-defs.ily"

% #(define markSize  (if (defined? 'markSize) markSize #{ #1.5 #}))
#(define markSize  (if (defined? 'markSize) markSize #{ #2.5 #}))
#(define tempoSize (if (defined? 'tempoSize) tempoSize #{ #1.5 #}))
#(define clefG     (if (defined? 'clefG) clefG #{ #}))
#(define clefF     (if (defined? 'clefF) clefF #{ #}))
#(define clefOldHornF (if (defined? 'clefOldHornF) clefOldHornF #{ #}))
#(define clefBclrBass (if (defined? 'clefBclrBass) clefBclrBass #{ \clef "treble_8" #}))

aDue = \markup\upright\bold\halign #-0.4 \concat{zu \hspace #0.2 2 \raise #0.8 \smaller\underline{t}}
aTre = \markup\upright\bold\halign #-0.4 \concat{zu \hspace #0.2 3 \raise #0.8 \smaller\underline{t}}
aQuattro = \markup\upright\bold\halign #-0.4 \concat{zu \hspace #0.2 4 \raise #0.8 \smaller\underline{t}}

Get = \markup\upright\halign #0.5 {get.}
GetaII = \markup\upright\halign #0.5 \line{2-fach get.}
GetaIII = \markup\upright\halign #0.5 \line{3-fach get.}
GetaIV = \markup\upright\halign #0.5 \line{4-fach get.}
GetaIIc = \markup\upright\halign #0.8 \center-column{"2-fach" "get."}
GetaIIIc = \markup\upright\halign #0.8 \center-column{"3-fach" "get."}
GetaIVc = \markup\upright\halign #0.8 \center-column{"4-fach" "get."}
Zus = \markup\upright\halign #0.5 {zus.}
Alle = \markup\upright\halign #0.5 {Alle}
AlleW = \markup\upright\halign #0.5 {Alle}

PGet = \markup\upright\halign #0.5 {(get.)}
PGetaII = \markup\upright\halign #0.5 \line{(2-fach get.)}
PGetaIII = \markup\upright\halign #0.5 \line{(3-fach get.)}
PGetaIV = \markup\upright\halign #0.5 \line{(4-fach get.)}
PZus = \markup\upright\halign #0.5 {(zus.)}
PAlle = \markup\upright\halign #0.5 {(Alle)}
PAlleW = \markup\upright\halign #0.5 {(Alle)}

BGet = \markup\upright\halign #0.5 {[get.]}
BGetaII = \markup\upright\halign #0.5 \line{[2-fach get.]}
BGetaIII = \markup\upright\halign #0.5 \line{[3-fach get.]}
BGetaIV = \markup\upright\halign #0.5 \line{[4-fach get.]}
BGetc = \markup\upright\halign #0.0 {[get.]}
BZus = \markup\upright\halign #0.5 {[zus.]}
BZusc = \markup\upright\halign #0.0 {[zus.]}
BAlle = \markup\upright\halign #0.5 {[Alle]}
BAlleW = \markup\upright\halign #0.5 {[Alle]}

Gest = \markup\upright\halign #0.5 {gestopft}
Offen = \markup\upright\right-align{offen}
PGest = \markup\upright\right-align{(gestopft)}
POffen = \markup\upright\right-align{(offen)}

Flatt = \markup\upright\halign #0.2 \line{Flzg.}
Nat = \markup\upright{natürlich}
Gew = \markup\upright{gewöhnlich}
PGew = \markup\upright\halign #0.0 {(gewöhnl.)}
BGew = \markup\upright\halign #0.0 {[gewöhnl.]}
Steg = \markup\upright\right-align{am Steg}
Griffbrett = \markup\upright{Griffbrett}

PmD  = \markup\right-align\line{(m.Dpf.) \hspace #0.5 }
PoD  = \markup\right-align\line{(o.Dpf.) \hspace #0.5 }
Dab  = \markup\rounded-box\italic\line{Dpf. ab}
Dauf = \markup\rounded-box\italic\line{nimmt Dpf.}
Dsauf = \markup\rounded-box\italic\line{nehmen Dpf.}
Dmit  = \markup\rounded-box\italic\line{mit Dpf.}
Dohne = \markup\rounded-box\italic\line{ohne Dpf.}

MPicc = \markup\rounded-box\italic\line{nimmt Picc.}
MFl = \markup\rounded-box\italic\line{nimmt Gr.Fl.}
MObII = \markup\rounded-box\italic\line{nimmt 2.Ob}
MEh = \markup\rounded-box\italic\line{nimmt E.H.}


\layout {
    \context {
        \Score {
            \override TextSpanner.font-shape = #'italic

            % print the number at the first bar of the score. Need to set
            % \bar "" there too.
            \set barNumberVisibility = #all-bar-numbers-visible

            \numericTimeSignature
            \override FootnoteItem.annotation-line = ##f

            % \override TimeSignature.minimum-X-extent = #'( 0 . 3.5 )

            \override RehearsalMark.font-shape = #'italic
            \override RehearsalMark.font-series = #'bold
            \override RehearsalMark.font-size = \markSize
            \override RehearsalMark.self-alignment-X = #LEFT

            \override MetronomeMark.font-shape = #'italic
            \override MetronomeMark.font-series = #'bold
            \override MetronomeMark.font-size = \tempoSize

            \override Hairpin.minimum-length = #3.5
        }
    }

    \context {
        \MarkLine {
            \override TextScript.baseline-skip = #0.5

            \override TextScript.font-shape = #'italic
            \override TextScript.font-series = #'bold
            \override TextScript.font-size = \tempoSize

            \override TextSpanner.font-shape = #'italic
            \override TextSpanner.font-series = #'bold
            \override TextSpanner.font-size = \tempoSize
        }
    }

    \context {
        \TimedSpanner {
            \override LyricText.font-shape = #'italic
            \override LyricText.font-series = #'bold
            \override LyricText.font-size = \tempoSize
        }
    }
}
