\version "2.22.0"

\include "include-once.ily"
\includeOnce "common.ily"


#(define markSize  (if (defined? 'markSize) markSize #{ #2.0 #}))
#(define tempoSize (if (defined? 'tempoSize) tempoSize #{ #1.5 #}))

#(define PC_AUTO_CHORDS (if (defined? 'PC_AUTO_CHORDS) PC_AUTO_CHORDS #{ \partCombineApart #}))
#(define PC_AUTO_APART (if (defined? 'PC_AUTO_APART) PC_AUTO_APART #{ \partCombineApart #}))
#(define PC_AUTO (if (defined? 'PC_AUTO) PC_AUTO #{ \partCombineAutomatic #}))


Rep = #(define-music-function (x music) (number? ly:music?) #{
    \repeat unfold $x $music
    % \repeat tremolo $x $music
#})


% To actually suppress Marks and Tempi in the Score for use of a TimeLine:
\layout {
    \context {
        \Score
            \remove "Mark_engraver"
            \remove "Metronome_mark_engraver"
            \remove "Staff_collecting_engraver"
            % \accepts MarkLine   % is this really necessary?

            \override BarNumber.padding = #3.5
    }
}


\layout {
    \context {
        \PianoStaff
            connectArpeggios = ##t
    }

    \context {
        \MarkLine {
            \set markFormatter = #format-mark-box-numbers
            % \set markFormatter = #format-mark-circle-numbers
            \override RehearsalMark.font-size = \markSize

            \override MetronomeMark.font-shape = #'italic
            \override MetronomeMark.font-series = #'bold
            \override MetronomeMark.font-size = \tempoSize

            \override TextScript.baseline-skip = #0.5

            \override TextScript.font-shape = #'italic
            \override TextScript.font-series = #'bold
            \override TextScript.font-size = \tempoSize

            \override TextSpanner.font-shape = #'italic
            \override TextSpanner.font-series = #'bold
            \override TextSpanner.font-size = \tempoSize
        }
    }

    \context {
        \TimedSpanner {
            \override LyricText.font-shape = #'italic
            \override LyricText.font-series = #'bold
            \override LyricText.font-size = \tempoSize
        }
    }
}


\paper {
    scoreTitleMarkup = \markup {
	\column {
	    \on-the-fly #print-all-headers { \bookTitleMarkup \hspace #1 }
            \fill-line {
                \combine \null \vspace #0.0
                \bold\fontsize #6 {
                    \fromproperty #'header:piece
                }
                \combine \null \vspace #0.0
            }
	}
    }
}


\paper {
    #(define fonts
        (make-pango-font-tree
            "DejaVu Serif Condensed"
            "DejaVu Sans Condensed"
            "DejaVu Sans Mono"
            (/ staff-height pt 21)))
}
