\version "2.22.0"

#(define PC_AUTO_CHORDS #{ \partCombineChords #})
#(define PC_AUTO_APART #{ \partCombineApart #})
#(define PC_AUTO #{ \partCombineAutomatic #})

markSize = #5.0
tempoSize = #3.5

\include "include-once.ily"
\includeOnce "schreker-valse-lente.ily"
\includeOnce "schreker-valse-lente-paged-title.ily"

\includeOnce "common-grand-score.ily"
\includeOnce "last-page-copyright.ily"


\layout {
    \context {
        \PianoStaff
            % \RemoveEmptyStaves
    }
    \context {
        \Staff
            % \RemoveEmptyStaves
    }
    \context {
        \RhythmicStaff
            % \RemoveEmptyStaves
    }
    \context {
        \GrandStaff {
            \override SystemStartBrace.collapse-height = #5
        }
    }
}

\paper {
    indent = #24
    short-indent = #12
    % systems-per-page = #2
}

\header {
    instrument = "Partitur"
}


#(set-global-staff-size 16)


\markup\vspace #12.0
% Instrumentarium

\markup \abs-fontsize #15 {
\override #'(line-width . 100)
\column {

\fill-line {
    \null
    \column {
        "2 Flauti"
        "Oboe"
        "Clarinetto in La"
        "Fagotto"
    }

    \null

    \column {
        "Glockenspiel (Campanelli a tastiera)"
        "Triangolo"
        "Arpa"
    }
    \null
}

\vspace #1.0
\fill-line {
\column {
    \null
    \line{Archi (almeno 6.4.2.2.2. strumenti)}
    \null
}
}
}
}

\markup\vspace #12.0

\markup\null\pageBreak


mvtIflAll = <<
\mvtItimeline
\relative c'' {
    \transposition c
    % \time 4/4
    \PMPChords #'( "mvtIflI" "mvtIflII" ) {
        s1*4 |
    }
    \at 16 ^\soloI \quoteDuring mvtIflI {
        s1*3 |
        \barNumberCheck # 8
        % \time 3/4
        s2.*8 |
        \barNumberCheck # 16
        % [1]
        s2.*11 |
        \barNumberCheck # 27
        % [2]
        s2.*4 |
    }
    \PMPChords #'( "mvtIflI" "mvtIflII" ) {
        s2.*8 |
        \barNumberCheck # 39
        % \repeat volta 2 {
            % [3]
            s2.*8 |
            \barNumberCheck # 47
            % [4]
            s2.*7 |
        }
        \at 8 ^\soloI \quoteDuring mvtIflI {
            s2. |
            \barNumberCheck # 55
            % [5]
            s2.*6 |
        }
        \PMPChords #'( "mvtIflI" "mvtIflII" ) {
            s2.*2 |
            \barNumberCheck # 63
            % [6]
            s2.*2 |
            s4
        }
            \PMPApart #'( "mvtIflI" "mvtIflII" ) {
            s2 |
            s2.*5 |
        }
        \barNumberCheck # 71
        % [7]
        \PMPChords #'( "mvtIflI" "mvtIflII" ) {
            s2.*2 |
            s4
        }
            \PMPApart #'( "mvtIflI" "mvtIflII" ) {
            s2 |
            s2. |
        }
        \PMPChords #'( "mvtIflI" "mvtIflII" ) {
            s2.*2 |
        }
        \PMPApart #'( "mvtIflI" "mvtIflII" ) {
            s2. |
        % }
        \barNumberCheck # 78
        % \alternative {
            s2. |
        }
        % [8]
        \PMPChords #'( "mvtIflI" "mvtIflII" ) {
            s2.*10 |
        }
        % } {
        \PMPApart #'( "mvtIflI" "mvtIflII" ) {
            s2. |
        }
        % }
    \barNumberCheck # 90
    % [9]
    \PMPChords #'( "mvtIflI" "mvtIflII" ) {
        s2.*16 |
        \barNumberCheck # 106
        % [10]
        s2.*11 |
        \barNumberCheck # 117
        % [11]
        s2.*12 |
        \barNumberCheck # 129
        % [12]
        s2.*6 |
        \barNumberCheck # 135
        % [13]
        s2.*4 |
    }
    <>^\soloI \quoteDuring mvtIflI {
        s2.*7 |
    }
    \barNumberCheck # 146
}
>>


\score {
    \keepWithTag #'( KEEPQUOTED SCORE ) <<
        % \new Dynamics \mvtIbreaks

        \new MarkLine \mvtItempi

        % %{
        \new StaffGroup = winds <<
            \new GrandStaff = fl \with {
                instrumentName = "2 Flauti"
                shortInstrumentName = "2 Fl."
            } <<
                \new Staff = flAll \with {
                } <<
                    \mvtIflAll
                >>
%                \new Staff = flI \with {
%                    instrumentName = "1."
%                    shortInstrumentName = "1."
%                } <<
%                    \mvtIflI
%                >>
%                \new Staff = flII \with {
%                    instrumentName = "2."
%                    shortInstrumentName = "2."
%                } <<
%                    \mvtIflII
%                >>
            >>
            \new Staff = ob \with {
                instrumentName = "Oboe"
                shortInstrumentName = "Ob."
            } <<
                \mvtIobI
            >>
            \new Staff = clr \with {
                instrumentName = \markup\center-column{"Clarinetto" "in La"}
                shortInstrumentName = \markup\center-column{"Clr." "(La)"}
            } <<
                \mvtIclrI
            >>
            \new Staff = fg \with {
                instrumentName = "Fagotto"
                shortInstrumentName = "Fg."
            } <<
                \mvtIfgI
            >>
        >>
        % %}

        % %{
        \new StaffGroup <<
            \new Staff = mvtIglock \with {
                instrumentName = "Glockenspiel"
                shortInstrumentName = "Glsp."
            } <<
                \mvtIglock
            >>
        >>

        \new StaffGroup <<
            \new RhythmicStaff = mvtItriang \with {
                instrumentName = "Triangolo"
                shortInstrumentName = "Trgl."
            } <<
                \mvtItriang
            >>
        >>

        \new PianoStaff \with {
            instrumentName = "Arpa"
            shortInstrumentName = "Arpa"
        } <<
            \new Staff = up <<
                \mvtIhpRH
            >>
            \new Dynamics \mvtIhpDyn
            \new Staff = down <<
                \mvtIhpLH
            >>
        >>
        % %}

        % %{
        \new MarkLine \mvtItempi

        \new StaffGroup = strings <<
            \new GrandStaff = vln \with {
                instrumentName = "Violono"
                shortInstrumentName = "Vl."
            } <<
                \new Staff = vlnI \with {
                    instrumentName = "I."
                    shortInstrumentName = "I."
                    aDueText = \markup\null
                    soloText = \markup\null
                } <<
                    \partCombine
                        \mvtIvlnI
                        \removeWithTag KEEPQUOTED \mvtIvlnIhII
                >>
                \new Staff = vlnII \with {
                    instrumentName = "II."
                    shortInstrumentName = "II."
                    aDueText = \markup\null
                    soloText = \markup\null
                } <<
                    \partCombine
                        \mvtIvlnII
                        \removeWithTag KEEPQUOTED \mvtIvlnIIhII
                >>
            >>
            \new Staff = vla \with {
                instrumentName = "Viola"
                shortInstrumentName = "Vla."
                aDueText = \markup\null
                soloText = \markup\null
            } <<
                \partCombine
                    \mvtIvla
                    \removeWithTag KEEPQUOTED \mvtIvlahII
            >>
            \new Staff = vc \with {
                instrumentName = "Violoncello"
                shortInstrumentName = "Vc."
            } <<
                \mvtIvc
            >>
            \new Staff = cb \with {
                instrumentName = "Contrabasso"
                shortInstrumentName = "Cb."
            } <<
                \mvtIcb
            >>
        >>
        % %}
    >>
}
